```
support coins: ["alph", "nexa", "mona", "grs", "dgb-skein", "dgb-qubit", "dgb-odo", "enx", "rxd"]
```

# version
v1.0.0

# start
1, packed frontend files
``` bash
cd front
npm install
npm run build
```
now you can find packed files in `front/dist` folder

2, start server
``` bash
cd server
javac -jar m2pool.jar
```
now you can visit `http://localhost:8080`

3, start core
``` bash
cd core
mkdir -p ./bin/<coin>
go build -o ./bin/<coin>/gbt-<coin> ./core/cmd/gbt/gbt.go
go build -o ./bin/<coin>/server-<coin> ./core/cmd/server/server.go
```
now you can find `gbt-<coin>` and `server-<coin>` in `./bin/<coin>` folder

4, start app
``` bash
cd app
npm install
npm run start <coin>
```
Recommend using PM2 to launch app projects like this:
``` bash
cd app
npm install
npm install pm2 -g
pm2 start npm --name app-<coin> -- run start <coin>
```